<?php

//устанавливаем тип содержимого
  header('content-type: image/png');
  
  //Определяем размер изображения – 300x300 пикселей
  $image = imagecreate(200, 60);
  
  /// Делаем первую букву заглавной
  function mb_ucfirst($str) {
    $str = mb_strtoupper(mb_substr($str, 0, 1, 'UTF-8'), 'UTF-8') .
            mb_strtolower(mb_substr($str, 1, mb_strlen($str), 'UTF-8'), 'UTF-8');
    return $str;
  }
  
  //Устанавливаем фоновый темно-серый цвет
  $dark_grey = imagecolorallocate($image, 255, 255, 255);
  $white = imagecolorallocate($image, 102, 100, 102);
  $trans = imagecolortransparent($image, $dark_grey);
  //Указываем путь к шрифту 
  $font_path = 'advent_light.ttf';
  
  //Пишем текст 
  $string = mb_ucfirst($_SERVER['SERVER_NAME']);
  
  //Соединяем текст и картинку
  imagettftext($image, 35, 0, 30, 50, $white, $font_path, $string);
  
  //Сохраняем изображение 

  imagepng($image,'style/logo.png');
  imagepng($image);
  //Чистим память 
  imagedestroy($image);
?>